Bug 82882 - [swrast] piglit glsl-fs-uniform-bool-1 regression
Summary: [swrast] piglit glsl-fs-uniform-bool-1 regression
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: mesa-dev
QA Contact:
URL:
Whiteboard:
Keywords: bisected, regression
Depends on:
Blocks:
 
Reported: 2014-08-21 00:33 UTC by Vinson Lee
Modified: 2014-09-05 15:30 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments
r300g hack (969 bytes, patch)
2014-09-04 12:39 UTC, Marek Olšák
Details | Splinter Review
gallium fix (1.65 KB, patch)
2014-09-04 13:08 UTC, Marek Olšák
Details | Splinter Review
swrast fix (1.38 KB, patch)
2014-09-04 13:10 UTC, Marek Olšák
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2014-08-21 00:33:53 UTC
mesa: 04895f5c601b240df547739da786b7c2b65bdd1e (master 10.3.0-devel)

$ ./bin/shader_runner tests/shaders/glsl-fs-uniform-bool-1.shader_test -auto
Probe color at (1,1)
  Expected: 0.000000 1.000000 0.000000
  Observed: 1.000000 0.000000 0.000000
PIGLIT: {"result": "fail" }


6df0fd8fe9ccf5c927797897277343f068420a45 is the first bad commit
commit 6df0fd8fe9ccf5c927797897277343f068420a45
Author: Matt Turner <mattst88@gmail.com>
Date:   Fri Aug 8 11:58:16 2014 -0700

    mesa: Upload boolean uniforms using UniformBooleanTrue.
    
    Reviewed-by: Anuj Phogat <anuj.phogat@gmail.com>

:040000 040000 15acd6eba095cfb2dcb699134349f6ccc5a79484 16675d631f977bec6d671bd8dc577b5372d93d71 M	src
bisect run success
Comment 1 Pavel Ondračka 2014-09-04 12:12:02 UTC
This commit also regressed about 20 tests for r300g driver.
Some examples of failing tests:
spec/glsl-1.10/execution/built-in-functions/fs-all-bvec3.shader_test
spec/glsl-1.10/execution/built-in-functions/fs-not-bvec2.shader_test
spec/glsl-1.10/execution/built-in-functions/fs-op-not-bool.shader_test
spec/glsl-1.20/execution/uniform-initializer/fs-bool-set-by-API.shader_test
glsl-1.10/execution/built-in-functions/vs-op-selection-bool-bvec3-bvec3.shader_test

and more...
Comment 2 Marek Olšák 2014-09-04 12:39:42 UTC
Created attachment 105739 [details] [review]
r300g hack

Pavel, does this patch fix r300g? It's a hack, I just need to confirm whether it works.
Comment 3 Marek Olšák 2014-09-04 13:08:15 UTC
Created attachment 105742 [details] [review]
gallium fix

Scratch that. A new patch is attached. Could you please test it on r300g?
Comment 4 Marek Olšák 2014-09-04 13:10:24 UTC
Created attachment 105743 [details] [review]
swrast fix

Vinson, could you please test if this attached patch fixes classic swrast?

Thanks.
Comment 5 Pavel Ondračka 2014-09-04 14:15:35 UTC
(In reply to comment #3)
> Created attachment 105742 [details] [review] [review]
> gallium fix
> 
> Scratch that. A new patch is attached. Could you please test it on r300g?

Yes, that fixes it.
Comment 6 Marek Olšák 2014-09-05 15:30:29 UTC
Fixed by patches d67db73458c8d66861b97675660289a955569 and 1a00f247512f22e58548053a99a706615a1786. Closing.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.